Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.save.converters
Class MultiPropertyConverter

    java.lang.Object
      com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
          org.apache.jmeter.save.converters.MultiPropertyConverter

All Implemented Interfaces:
  com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.ConverterMatcher

    public class MultiPropertyConverter

extends com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter

Constructor Summary
`MultiPropertyConverter(com.thoughtworks.xstream.mapper.Mapper arg0)`

Method Summary
`boolean` | `canConvert(Class arg0)`
`static String` | `getVersion()` Returns the converter version; used to check for possible incompatibilities
`void` | `marshal(Object arg0, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
`Object` | `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`

Methods inherited from class com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
`createCollection, mapper, readItem, writeItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiPropertyConverter

    public MultiPropertyConverter(com.thoughtworks.xstream.mapper.Mapper arg0)

Parameters:
  `arg0` -

Method Detail

### getVersion

    public static String getVersion()

  Returns the converter version; used to check for possible incompatibilities

### canConvert

    public boolean canConvert(Class arg0)

  Specified by:
    `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`
  Specified by:
    `canConvert` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`

### marshal

    public void marshal(Object arg0,
                        com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                        com.thoughtworks.xstream.converters.MarshallingContext context)

  Specified by:
    `marshal` in interface `com.thoughtworks.xstream.converters.Converter`
  Specified by:
    `marshal` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`

### unmarshal

    public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                            com.thoughtworks.xstream.converters.UnmarshallingContext context)

  Specified by:
    `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`
  Specified by:
    `unmarshal` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.